## Get employee **get** `/v1/employees/{employee_id}` Retrieves detailed information for a specific employee by ID. Returns employee details including personal information and employment status. ### Path Parameters - `employee_id: string` Unique employee identifier (empl_*) ### Returns - `data: Employee` - `id: string` Unique employee identifier with 'empl_' prefix - `created_at: string` Timestamp when the employee was created - `date_of_birth: string` Date of birth (YYYY-MM-DD) - `email: string` Email address - `enrollments: array of object { id, status, answered_at }` Benefit enrollments for this employee - `id: string` Unique enrollment identifier with 'enrl_' prefix - `status: EnrollmentStatus` * `pending` - Pending * `enrolled` - Enrolled * `waived` - Waived * `inactive` - Inactive - `"pending"` - `"enrolled"` - `"waived"` - `"inactive"` - `answered_at: optional string` Timestamp when the enrollment decision was made - `first_name: string` Employee's legal first name - `last_name: string` Employee's legal last name - `member_id: string` Unique member identifier with 'mbr_' prefix - `status: string` Employee status (active or terminated) - `updated_at: string` Timestamp when the employee was last updated - `address: optional object { address_line_1, city, state, 2 more }` Employee's residential address - `address_line_1: string` Primary street address - `city: string` City name - `state: string` Two-letter state code (e.g., CA, NY) - `zipcode: string` ZIP code (5 or 9 digit) - `address_line_2: optional string` Secondary street address (apt, suite, etc.) - `employee_class: optional EmployeeClass` * `Full Time` - Full Time * `Part Time` - Part Time * `Temporary` - Temporary * `Intern` - Intern * `Seasonal` - Seasonal * `Individual Contractor` - Individual Contractor - `"Full Time"` - `"Part Time"` - `"Temporary"` - `"Intern"` - `"Seasonal"` - `"Individual Contractor"` - `gender: optional string` Gender identity, if provided - `hire_date: optional string` Employee's hire date with the employer - `phone: optional string` Phone number (10-digit US domestic string) - `reference_id: optional string` Partner-assigned reference ID for the employee - `suffix: optional string` Name suffix (e.g., Jr., Sr., III) - `termination_date: optional string` Employee's termination date, if terminated ### Example ```http curl https://api.vitablehealth.com/v1/employees/$EMPLOYEE_ID \ -H "Authorization: Bearer $VITABLE_CONNECT_API_KEY" ``` #### Response ```json { "data": { "id": "empl_abc123", "member_id": "mbr_xyz789", "reference_id": "partner-ee-001", "first_name": "John", "last_name": "Doe", "suffix": null, "email": "john.doe@example.com", "date_of_birth": "1985-06-15", "gender": null, "phone": "4155551234", "employee_class": "Full Time", "status": "active", "hire_date": "2023-01-15", "termination_date": null, "address": { "address_line_1": "456 Oak Avenue", "address_line_2": "Apt 2B", "city": "San Francisco", "state": "CA", "zipcode": "94102" }, "enrollments": [ { "id": "enrl_abc123", "status": "enrolled", "answered_at": "2023-01-20T10:00:00Z" } ], "created_at": "2023-01-15T09:00:00Z", "updated_at": "2024-06-01T14:30:00Z" } } ```